# TdApi.CallProtocol (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: CallProtocol

Package it.tdlight.jni

# Class TdApi.CallProtocol

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.CallProtocol

Enclosing class:
  TdApi

    public static class TdApi.CallProtocol
    extends TdApi.Object

Specifies the supported call protocols.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`String[]` | `libraryVersions` | List of supported tgcalls versions.
`int` | `maxLayer` | The maximum supported API layer; use 65.
`int` | `minLayer` | The minimum supported API layer; use 65.
`boolean` | `udpP2p` | True, if UDP peer-to-peer connections are supported.
`boolean` | `udpReflector` | True, if connection through UDP reflectors is supported.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CallProtocol()` | Specifies the supported call protocols.
`CallProtocol​(boolean udpP2p, boolean udpReflector, int minLayer, int maxLayer, String[] libraryVersions)` | Specifies the supported call protocols.
`CallProtocol​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### udpP2p

public boolean udpP2p
True, if UDP peer-to-peer connections are supported.

### udpReflector

public boolean udpReflector
True, if connection through UDP reflectors is supported.

### minLayer

public int minLayer
The minimum supported API layer; use 65.

### maxLayer

public int maxLayer
The maximum supported API layer; use 65.

### libraryVersions

public String[] libraryVersions
List of supported tgcalls versions.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### CallProtocol

public CallProtocol()
Specifies the supported call protocols.

### CallProtocol

public CallProtocol​(boolean udpP2p, boolean udpReflector, int minLayer, int maxLayer, String[] libraryVersions)
Specifies the supported call protocols.

Parameters:
  `udpP2p` - boolean True, if UDP peer-to-peer connections are supported.
  `udpReflector` - boolean True, if connection through UDP reflectors is supported.
  `minLayer` - int The minimum supported API layer; use 65.
  `maxLayer` - int The maximum supported API layer; use 65.
  `libraryVersions` - String[] List of supported tgcalls versions.

### CallProtocol

public CallProtocol​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`